CC=cl.exe
LD=link.exe

CFLAGS=/O2 /c 
LDFLAGS=

SRCDIR = src
OBJDIR = obj

OBJS = $(OBJDIR)\launcher.obj $(OBJDIR)\config.obj
SRCS = $(SRCDIR)\launcher.c $(SRCDIR)\config.c $(SRCDIR)\config.h


all: launcher.exe

launcher.exe: $(OBJDIR) $(OBJS)
	$(LD) $(LDFLAGS) /out:$@ $(OBJS)

{$(SRCDIR)}.c{$(OBJDIR)}.obj:
	$(CC) $(CFLAGS) /Fdobj\ /Foobj\ $<

$(OBJS): $(SRCS)

$(OBJDIR):
    if not exist $(OBJDIR) mkdir $(OBJDIR)
	-@erase /S /Q $(OBJDIR)
